#ifndef XOPERAND_H
#define XOPERAND_H

#include "xasset.h"
#include "xmenuenums.h"
#include "xoperandinternaldataunion.h"

class XOperand : public XAsset
{
public:
    explicit XOperand();
    ~XOperand();

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

private:
    XExpDataType mDataType;
    XOperandInternalDataUnion mInternals;
};

#endif // XOPERAND_H
